export type Commitment = 'confirmed' | 'finalized' | 'processed';
export type DataSlice = Readonly<{
    offset: number;
    length: number;
}>;
export type LamportsUnsafeBeyond2Pow53Minus1 = bigint & {
    readonly __lamports: unique symbol;
};
export type Slot = U64UnsafeBeyond2Pow53Minus1;
export type U64UnsafeBeyond2Pow53Minus1 = bigint;
export type RpcResponse<TValue> = Readonly<{
    context: Readonly<{
        slot: Slot;
    }>;
    value: TValue;
}>;
export type TransactionVersion = 'legacy' | 0;
export type Base58EncodedBytes = string & {
    readonly __base58EncodedBytes: unique symbol;
};
export type Base64EncodedBytes = string & {
    readonly __base64EncodedBytes: unique symbol;
};
export type Base64EncodedZStdCompressedBytes = string & {
    readonly __base64EncodedZStdCompressedBytes: unique symbol;
};
export type Base58EncodedDataResponse = [Base58EncodedBytes, 'base58'];
export type Base64EncodedDataResponse = [Base64EncodedBytes, 'base64'];
export type Base64EncodedZStdCompressedDataResponse = [Base64EncodedZStdCompressedBytes, 'base64+zstd'];
//# sourceMappingURL=common.d.ts.map